LargeLOBTest (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class LargeLOBTest

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.LargeLOBTest

-     public class LargeLOBTest
      extends TestBase

  Version:
    1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static int` | `LOB_LENGTH`

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LargeLOBTest(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `static Test` | `suite()` Only run the test suite if the "jTDS.runLargeLOBTest" system property is defined, as the test takes A LOT of time to execute.
    `void` | `testLargeBlob1()` Test for bug [945507] closing statement after selecting a large IMAGE - Exception

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOB_LENGTH

          private static final int LOB_LENGTH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LargeLOBTest

          public LargeLOBTest(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

      Only run the test suite if the "jTDS.runLargeLOBTest" system property is defined, as the test takes A LOT of time to execute.

    - #### testLargeBlob1

          public void testLargeBlob1()
                              throws java.lang.Exception

      Test for bug [945507] closing statement after selecting a large IMAGE - Exception
      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)

Generated on June 8 2013